# -*- coding: utf-8 -*-
"""
Created on Fri Oct 20 08:49:25 2017

@author: gerd doeben-henisch
Testing some windows operations
"""
#file control.py

def ctrlWinStart():
    
    #Starts a second window for control parameters
    
    import graphics as grph

    winC = grph.GraphWin("CONTROL PARAMETER", 600, 200)
    winC.setCoords(0.0, 0.0, 7.0, 7.0)
    
    return winC

def ctrlWinLocateAct(winC):
    
    import graphics as grph

    txt1 = grph.Text(grph.Point(2,6), " Please point to a cell in the grid").draw(winC)
    txt1.setTextColor('red')
    
    return txt1

def ctrlWinDel(txt):
    
    import graphics as grph
    
    txt.undraw()
    
def ctrlWinSelObjNo(winC, nobj):
    
    import graphics as grph

    txt10 = grph.Text(grph.Point(3,6), " SELECT PERCENTAGE OF OBJECTS (1-100)").draw(winC)
    txt10.setTextColor('red')
    
    input = grph.Entry(grph.Point(2,5), 5)
    input.setText("20")
    input.draw(winC)
    
    winC.getMouse()

    nobj = eval(input.getText())
    print('nobj ',nobj)
    
    if nobj < 1:
        nobj = 1
    elif nobj >100:
        nobj = 100
        
    #Deletes Textline in the control window
    input.undraw()
    
    return nobj, txt10
    
    
def ctrlWinSelCylenumber(win):
    
    import graphics as grph

    txt9 = grph.Text(grph.Point(2,2), " SELECT NUMBER OF CYCLES ").draw(win)
    txt9.setTextColor('black')
    
    input = grph.Entry(grph.Point(2,1), 5)
    input.setText("20")
    input.draw(win)
    
    win.getMouse()

    cyclesNo = eval(input.getText())
    print('cyclesNo ',cyclesNo)
    
    if cyclesNo < 1:
        cyclesNo = 1
    
    return cyclesNo, txt9
    
    
def ctrlWinSelBehave(win):
    
    import graphics as grph

    txt8 = grph.Text(grph.Point(2,2), " SELECT TYPE OF BEHAVIOR ").draw(win)
    txt8.setTextColor('black')
    
    input = grph.Entry(grph.Point(2,1), 5)
    input.setText("0")
    input.draw(win)
    
    txt8b = input
    
    win.getMouse()

    behaviorNo = eval(input.getText())
    print('behaviorNo ',behaviorNo)
    
    return behaviorNo, txt8, txt8b
    
    
def ctrlWinEnergy(win,energy,time):
    
    import graphics as grph

    txt2 = grph.Text(grph.Point(2,6), "ENERGY-LEVEL ").draw(win)
    txt2.setTextColor('black')

    txt3 = grph.Text(grph.Point(2,5), str(energy)).draw(win)
    txt3.setTextColor('red')
    
    txt4 = grph.Text(grph.Point(2,4), " WORLD-TIME ").draw(win)
    txt4.setTextColor('black')

    txt5 = grph.Text(grph.Point(2,3), str(time)).draw(win)
    txt5.setTextColor('blue')
    
    return txt2,txt3,txt4,txt5

def ctrlWinWrt(win,energy,time):
    
    import graphics as grph
    
    txt3 = grph.Text(grph.Point(2,5), str(energy)).draw(win)
    txt3.setTextColor('red')
    
    txt5 = grph.Text(grph.Point(2,3), str(time)).draw(win)
    txt5.setTextColor('blue')
    
    return txt3, txt5

def ctrlWinLoc(winC):
    
    import graphics as grph

    txt6 = grph.Text(grph.Point(2,2), " POINT INTO GRID FOR MOVE ").draw(winC)
    txt6.setTextColor('red')

    return txt6

def ctrlWinEnd(winC,txt1,txt2):
    
    import graphics as grph
    
    txt1.undraw()
    txt2.undraw()

    txt11 = grph.Text(grph.Point(2,2), " CLICK IN THE GRID TO END ").draw(winC)
    txt11.setTextColor('red')


